- [HTTP request](https://firebase.google.com/docs/reference/fcm/fcmtopics/rest/v1/projects.registrations.topicSubscriptions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://firebase.google.com/docs/reference/fcm/fcmtopics/rest/v1/projects.registrations.topicSubscriptions/list#body.PATH_PARAMETERS)
- [Query parameters](https://firebase.google.com/docs/reference/fcm/fcmtopics/rest/v1/projects.registrations.topicSubscriptions/list#body.QUERY_PARAMETERS)
- [Request body](https://firebase.google.com/docs/reference/fcm/fcmtopics/rest/v1/projects.registrations.topicSubscriptions/list#body.request_body)
- [Response body](https://firebase.google.com/docs/reference/fcm/fcmtopics/rest/v1/projects.registrations.topicSubscriptions/list#body.response_body)
  - [JSON representation](https://firebase.google.com/docs/reference/fcm/fcmtopics/rest/v1/projects.registrations.topicSubscriptions/list#body.ListTopicSubscriptionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://firebase.google.com/docs/reference/fcm/fcmtopics/rest/v1/projects.registrations.topicSubscriptions/list#body.aspect)
- [IAM Permissions](https://firebase.google.com/docs/reference/fcm/fcmtopics/rest/v1/projects.registrations.topicSubscriptions/list#body.aspect_1)
- [Try it!](https://firebase.google.com/docs/reference/fcm/fcmtopics/rest/v1/projects.registrations.topicSubscriptions/list#try-it)

Lists TopicSubscriptions for a given app instance.

### HTTP request

`GET https://fcm.googleapis.com/v1/{parent=projects/*/registrations/*}/topicSubscriptions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource, which owns this collection of subscriptions. Format: projects/{project}/registrations/{registration} The {registration} part can be an FID or an FCM Token. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of subscriptions to return. The service may return fewer than this value. If unspecified, at most 1000 subscriptions will be returned. The maximum value is 2000; values above 2000 will be coerced to 2000. |
| `pageToken` | `string` Optional. A page token, received from a previous `ListTopicSubscriptions` call. Provide this to retrieve the subsequent page. |

### Request body

The request body must be empty.

### Response body

Response message for ListTopicSubscriptions.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "topic_subscriptions": [ { object (`https://firebase.google.com/docs/reference/fcm/fcmtopics/rest/v1/projects.registrations.topicSubscriptions#TopicSubscription`) } ], "next_page_token": string } ``` |

| Fields ||
|---|---|
| `topic_subscriptions[]` | ``object (`https://firebase.google.com/docs/reference/fcm/fcmtopics/rest/v1/projects.registrations.topicSubscriptions#TopicSubscription`)`` The topic subscriptions for the instance. |
| `next_page_token` | `string` A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/firebase.messaging`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `cloudmessaging.topicSubscriptions.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).